Index: uKadecot/trunk/ecnl_ssp/echonet.c
===================================================================
--- uKadecot/trunk/ecnl_ssp/echonet.c	(revision 125)
+++ uKadecot/trunk/ecnl_ssp/echonet.c	(revision 152)
@@ -235,5 +235,5 @@
 	a_ret = _ecn_fbs_add_data_ex(*(ECN_FBS_ID *)&ppk_esv, &ppk_esv->hdr.edata.opc, 1);
 	if (a_ret) {
-		ECN_DBG_PUT "ecn_trn_set_get(): _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("ecn_trn_set_get(): _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return a_ret;
 	}
@@ -264,5 +264,5 @@
 	a_wr_opc = _ecn_fbs_peek(*(ECN_FBS_ID *)&ppk_esv, fa_trn_pos);
 	if (a_wr_opc < 0) {
-		ECN_DBG_PUT "ecn_end_set_get(): _ecn_fbs_peek() result = %d:%s", a_wr_opc, itron_strerror(a_wr_opc) ECN_DBG_END;
+		ECN_DBG_PUT("ecn_end_set_get(): _ecn_fbs_peek() result = %d:%s", a_wr_opc, itron_strerror(a_wr_opc));
 		return a_wr_opc;
 	}
@@ -274,5 +274,5 @@
 	a_ret = _ecn_fbs_poke(*(ECN_FBS_ID *)&ppk_esv, fa_trn_pos, a_rd_opc);
 	if (a_ret) {
-		ECN_DBG_PUT "ecn_end_set_get(): _ecn_fbs_poke() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("ecn_end_set_get(): _ecn_fbs_poke() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return a_ret;
 	}
@@ -328,7 +328,7 @@
 	a_ret = _ecn_fbs_add_data_ex(a_fbs_id, &a_ecn_prp, sizeof(a_ecn_prp));
 	if (a_ret) {
-		ECN_DBG_PUT "ecn_add_edt(): _ecn_fbs_add_data_ex(*, ecn_prp{epc:0x%02X}, %u) result = %d:%s",
+		ECN_DBG_PUT("ecn_add_edt(): _ecn_fbs_add_data_ex(*, ecn_prp{epc:0x%02X}, %u) result = %d:%s",
 			a_ecn_prp.epc, sizeof(a_ecn_prp),
-			a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -337,7 +337,7 @@
 		a_ret = _ecn_fbs_add_data_ex(a_fbs_id, p_edt, fa_pdc);
 		if (a_ret) {
-			ECN_DBG_PUT "ecn_add_edt(): _ecn_fbs_add_data_ex(*, ecn_prp{epc:0x%02X} edt, %u) result = %d:%s",
+			ECN_DBG_PUT("ecn_add_edt(): _ecn_fbs_add_data_ex(*, ecn_prp{epc:0x%02X} edt, %u) result = %d:%s",
 				a_ecn_prp.epc, fa_pdc,
-				a_ret, itron_strerror(a_ret) ECN_DBG_END;
+				a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
@@ -523,5 +523,5 @@
 
 #ifdef ECN_ENA_ITR_NXT_CARP
-	ECN_CAP_PUT "ecn_itr_nxt() rd.cur=b%dp%d", pk_itr->cur.blk, pk_itr->cur.pos ECN_CAP_PUT;
+	ECN_CAP_PUT("ecn_itr_nxt() rd.cur=b%dp%d", pk_itr->cur.blk, pk_itr->cur.pos ECN_CAP_PUT(;
 #endif
 	if (pk_itr->count <= pk_itr->got_ct && 0 < pk_itr->next_blk_ct) {
@@ -550,6 +550,6 @@
 		goto lb_except;
 	if (a_rd_len < sizeof(a_ecn_prp)) {
-		ECN_DBG_PUT "ecn_itr_nxt() ecn_prp read fault." 
-			" rd.cur=%d", pk_itr->cur ECN_DBG_END;
+		ECN_DBG_PUT("ecn_itr_nxt() ecn_prp read fault." 
+			" rd.cur=%d", pk_itr->cur);
 		pk_itr->is_eof = 1;			/* 終端に達した時、非0 */
 		a_ret = E_BOVR;	/* データ終了 */
@@ -566,6 +566,6 @@
 			goto lb_except;
 		if (a_rd_len < (ECN_FBS_SSIZE_T)a_ecn_prp.pdc) {
-			ECN_DBG_PUT "ecn_itr_nxt() edt read fault."
-				" rd.cur=%d,epc=0x%02X,pdc=%u", pk_itr->cur, a_ecn_prp.epc , a_ecn_prp.pdc ECN_DBG_END;
+			ECN_DBG_PUT("ecn_itr_nxt() edt read fault."
+				" rd.cur=%d,epc=0x%02X,pdc=%u", pk_itr->cur, a_ecn_prp.epc , a_ecn_prp.pdc);
 			pk_itr->is_eof = 1;			/* 終端に達した時、非0 */
 			a_ret = E_BOVR;	/* データ終了 */
@@ -576,5 +576,5 @@
 
 #ifdef ECN_ENA_ITR_NXT_CARP
-	ECN_CAP_PUT "ecn_itr_nxt() read: ct=%d/%d", pk_itr->got_ct, pk_itr->count ECN_CAP_PUT;
+	ECN_CAP_PUT("ecn_itr_nxt() read: ct=%d/%d", pk_itr->got_ct, pk_itr->count ECN_CAP_PUT(;
 #endif
 
@@ -605,6 +605,6 @@
 	a_ret = _ecn_tsk_snd_mbx(a_fbs_id, true);
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_tsk_snd_mbx() result = %d:%s",
-			a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_snd_mbx() result = %d:%s",
+			a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -637,6 +637,6 @@
 	a_fbs.ptr = (T_ECN_FST_BLK *)pk_esv;
 	if (a_fbs.ptr->hdr.type != ECN_MSG_USER_BREAK) {
-		ECN_DBG_PUT "ecn_get_brk_dat: fbs-type:%d != ECN_MSG_USER_BREAK",
-			a_fbs.ptr->hdr.type ECN_DBG_END;
+		ECN_DBG_PUT("ecn_get_brk_dat: fbs-type:%d != ECN_MSG_USER_BREAK",
+			a_fbs.ptr->hdr.type);
 		return E_PAR;
 	}
@@ -645,6 +645,6 @@
 	a_ret = _ecn_fbs_set_rpos(a_fbs, 0);
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_fbs_set_rpos(*, 0) result = %d:%s",
-			a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_set_rpos(*, 0) result = %d:%s",
+			a_ret, itron_strerror(a_ret));
 		return a_ret;
 	}
@@ -655,6 +655,6 @@
 		a_ret = _ecn_fbs_get_data(a_fbs, p_buf, fa_bufsz, &a_len);
 		if (a_ret || !a_len) {
-			ECN_DBG_PUT "_ecn_fbs_get_data(*, p_buf, fa_bufsz) result = %d:%s",
-				a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_get_data(*, p_buf, fa_bufsz) result = %d:%s",
+				a_ret, itron_strerror(a_ret));
 			return E_PAR;
 		}
Index: uKadecot/trunk/ecnl_ssp/echonet_dbg.c
===================================================================
--- uKadecot/trunk/ecnl_ssp/echonet_dbg.c	(revision 125)
+++ uKadecot/trunk/ecnl_ssp/echonet_dbg.c	(revision 152)
@@ -109,5 +109,5 @@
 /*
  * デバッグ出力
- * 例：		ECN_DBG_PUT "task start" ECN_DBG_END;
+ * 例：		ECN_DBG_PUT("task start");
  */
 int _ecn_dbg_dbgput(const char *fp_srcloc, const char *fp_form, ...)
Index: uKadecot/trunk/ecnl_ssp/echonet_dbg.h
===================================================================
--- uKadecot/trunk/ecnl_ssp/echonet_dbg.h	(revision 125)
+++ uKadecot/trunk/ecnl_ssp/echonet_dbg.h	(revision 152)
@@ -50,20 +50,14 @@
 
 #ifdef ECN_DBG_PUT_ENA
-#define ECN_DBG_PUT syslog(LOG_WARNING,
-#define ECN_DBG_END )
-/* 例：		ECN_DBG_PUT "task start" ECN_DBG_END; */
+#define ECN_DBG_PUT(...) syslog(LOG_WARNING, __VA_ARGS__)
 #else
-#define ECN_DBG_PUT for (;0;
-#define ECN_DBG_END )
+#define ECN_DBG_PUT(...)
 #endif
 
 /* デバッグ出力(CARP) */
 #ifdef ECN_CAP_PUT_ENA
-#define ECN_CAP_PUT syslog(LOG_DEBUG,
-#define ECN_CAP_END )
-/* 例：		ECN_CAP_PUT "task start" ECN_CAP_END; */
+#define ECN_CAP_PUT(syslog(LOG_DEBUG, __VA_ARGS__)
 #else
-#define ECN_CAP_PUT for (;0;
-#define ECN_CAP_END )
+#define ECN_CAP_PUT(...)
 #endif
 
Index: uKadecot/trunk/ecnl_ssp/echonet_task.c
===================================================================
--- uKadecot/trunk/ecnl_ssp/echonet_task.c	(revision 125)
+++ uKadecot/trunk/ecnl_ssp/echonet_task.c	(revision 152)
@@ -141,10 +141,10 @@
 	}
 #ifdef ECN_DBG_PUT_ENA
-	ECN_DBG_PUT "psnd_dtq(%d, 0x%08X-0x%08X)", mbxid, (intptr_t)msg, a_fbs_sub1 ECN_DBG_END;
+	ECN_DBG_PUT("psnd_dtq(%d, 0x%08X-0x%08X)", mbxid, (intptr_t)msg, a_fbs_sub1);
 	_ecn_dbg_bindmp((const uint8_t *)msg, 256);
 #endif
 	a_ret = psnd_dtq(mbxid, msg);
 #ifdef ECN_DBG_PUT_ENA
-	ECN_DBG_PUT "psnd_dtq(%d, 0x%08X-0x%08X) result = %d:%s", mbxid, (intptr_t)msg, a_fbs_sub1, a_ret, itron_strerror(a_ret) ECN_DBG_END;
+	ECN_DBG_PUT("psnd_dtq(%d, 0x%08X-0x%08X) result = %d:%s", mbxid, (intptr_t)msg, a_fbs_sub1, a_ret, itron_strerror(a_ret));
 #endif
 	return a_ret;
@@ -193,5 +193,5 @@
 		return;
 
-	/* ECN_DBG_PUT "[ECHONET MainTask:%d] started", tskid ECN_DBG_END; */
+	/* ECN_DBG_PUT("[ECHONET MainTask:%d] started", tskid); */
 	syslog(LOG_NOTICE, "[ECHONET MainTask] started");
 
@@ -225,5 +225,5 @@
 	a_ret = sta_cyc(ecn_svc_cychdrid);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "sta_cyc() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("sta_cyc() result = %d:%s", a_ret, itron_strerror(a_ret));
 		PT_EXIT(&s.pt);
 	}
@@ -233,5 +233,5 @@
 	a_ret2 = get_tim(&a_now);
 	if (a_ret2 != E_OK) {
-		ECN_DBG_PUT "get_tim() result = %d:%s", a_ret2, itron_strerror(a_ret2) ECN_DBG_END;
+		ECN_DBG_PUT("get_tim() result = %d:%s", a_ret2, itron_strerror(a_ret2));
 		PT_EXIT(&s.pt);
 	}
@@ -256,5 +256,5 @@
 			|| ((a_ret = timer_expired(&s.timer) ? E_TMOUT : E_WBLK) == E_TMOUT)));
 		if ((a_ret != E_OK) && (a_ret != E_TMOUT)) {
-			ECN_DBG_PUT "trcv_dtq() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("trcv_dtq() result = %d:%s", a_ret, itron_strerror(a_ret));
 			PT_EXIT(&s.pt);
 		}
@@ -262,5 +262,5 @@
 		a_ret2 = get_tim(&a_now);
 		if (a_ret2 != E_OK) {
-			ECN_DBG_PUT "get_tim() result = %d:%s", a_ret2, itron_strerror(a_ret2) ECN_DBG_END;
+			ECN_DBG_PUT("get_tim() result = %d:%s", a_ret2, itron_strerror(a_ret2));
 			PT_EXIT(&s.pt);
 		}
@@ -273,5 +273,5 @@
 
 		if (a_ret == E_OK) {
-			ECN_DBG_PUT "trcv_dtq() mbx recv (%d byte)", _ecn_fbs_get_datalen(a_mdt.fbs_id) ECN_DBG_END;
+			ECN_DBG_PUT("trcv_dtq() mbx recv (%d byte)", _ecn_fbs_get_datalen(a_mdt.fbs_id));
 			g_release_esv = true;
 
@@ -376,7 +376,7 @@
 	a_ret = _ecn_fbs_cre(a_size, &a_fbs_id);
 	if (a_ret != E_OK || !a_fbs_id.ptr) { /* 確保失敗 */
-		ECN_DBG_PUT "_ecn_fbs_cre(%d) result = %d:%s",
+		ECN_DBG_PUT("_ecn_fbs_cre(%d) result = %d:%s",
 			a_size,
-			a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			a_ret, itron_strerror(a_ret));
 		return E_NOMEM;
 	}
@@ -396,7 +396,7 @@
 	a_ret = _ecn_fbs_add_data_ex(a_fbs_id, &a_ecn_hdp, a_size);
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_fbs_add_data_ex(*, ecn_hdp{esv:0x%02X,epc:0x%02X}, %d) result = %d:%s",
+		ECN_DBG_PUT("_ecn_fbs_add_data_ex(*, ecn_hdp{esv:0x%02X,epc:0x%02X}, %d) result = %d:%s",
 			a_ecn_hdp.edata.esv, a_ecn_hdp.ecn_prp.epc, a_size,
-			a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -405,12 +405,12 @@
 		a_ret = _ecn_fbs_add_data_ex(a_fbs_id, p_edt, fa_pdc);
 		if (a_ret) {
-			ECN_DBG_PUT "_ecn_fbs_add_data_ex(*, ecn_hdp{esv:0x%02X,epc:0x%02X} edt, %d) result = %d:%s",
+			ECN_DBG_PUT("_ecn_fbs_add_data_ex(*, ecn_hdp{esv:0x%02X,epc:0x%02X} edt, %d) result = %d:%s",
 				a_ecn_hdp.edata.esv, a_ecn_hdp.ecn_prp.epc, fa_pdc,
-				a_ret, itron_strerror(a_ret) ECN_DBG_END;
+				a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
 	}
 	if (fa_deoj == 0) {
-		ECN_DBG_PUT "%s", "マルチキャスト" ECN_DBG_END;
+		ECN_DBG_PUT("%s", "マルチキャスト");
 		/* fa_deoj == 0 : マルチキャスト */
 		((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx1 = EOJ_X1_PROFILE;
@@ -420,5 +420,5 @@
 	}
 	else if (fa_deoj <= tmax_eobjid) {
-		ECN_DBG_PUT "fa_deoj = %d", fa_deoj ECN_DBG_END;
+		ECN_DBG_PUT("fa_deoj = %d", fa_deoj);
 		/* if (fa_deoj < 1 || tmax_eobjid < fa_deoj) …の異常系は関数冒頭で除外済みとする */
 		a_eobj = &eobjinib_table[fa_deoj - 1];
@@ -446,16 +446,16 @@
 		if (a_fbs_id.ptr->hdr.target == ENOD_NOT_MATCH_ID) {
 			goto lb_except;
-			ECN_DBG_PUT "deoj = %02X %02X %02x : enod not match",
+			ECN_DBG_PUT("deoj = %02X %02X %02x : enod not match",
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx1,
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx2,
-				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx3 ECN_DBG_END;
+				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx3);
 		}
 #ifdef ECN_DBG_PUT_ENA
 		else {
-			ECN_DBG_PUT "deoj = %02X %02X %02x : %s",
+			ECN_DBG_PUT("deoj = %02X %02X %02x : %s",
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx1,
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx2,
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx3,
-				_ecn_dbg_enod2str(a_fbs_id.ptr->hdr.target) ECN_DBG_END;
+				_ecn_dbg_enod2str(a_fbs_id.ptr->hdr.target));
 		}
 #endif
@@ -465,5 +465,5 @@
 		T_ECN_EOJ eoj;
 		ECN_ENOD_ID enodid;
-		ECN_DBG_PUT "fa_deoj = %d", fa_deoj ECN_DBG_END;
+		ECN_DBG_PUT("fa_deoj = %d", fa_deoj);
 		/* オブジェクトIDからEOJとノードIDを取得 */
 		if(ecn_agent_get_eoj_enodid(fa_deoj, &eoj, &enodid)){
@@ -474,16 +474,16 @@
 		else {
 			goto lb_except;
-			ECN_DBG_PUT "deoj = %02X %02X %02x : enod not match",
+			ECN_DBG_PUT("deoj = %02X %02X %02x : enod not match",
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx1,
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx2,
-				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx3 ECN_DBG_END;
+				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx3);
 		}
 #ifdef ECN_DBG_PUT_ENA
 		else {
-			ECN_DBG_PUT "deoj = %02X %02X %02x : %s",
+			ECN_DBG_PUT("deoj = %02X %02X %02x : %s",
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx1,
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx2,
 				((T_EDATA *)a_fbs_id.ptr)->hdr.edata.deoj.eojx3,
-				_ecn_dbg_enod2str(a_fbs_id.ptr->hdr.target) ECN_DBG_END;
+				_ecn_dbg_enod2str(a_fbs_id.ptr->hdr.target));
 		}
 #endif
@@ -529,5 +529,5 @@
 	switch (a_im.command) {
 	case ECN_INM_NOTIFY_INSTANCELIST:
-		ECN_DBG_PUT "do _ecn_tsk_int_startup()" ECN_DBG_END;
+		ECN_DBG_PUT("do _ecn_tsk_int_startup()");
 		_ecn_tsk_int_startup(fa_exinf);
 		break;
@@ -537,5 +537,5 @@
 			break;
 #endif
-		ECN_DBG_PUT "recv: unefined internal-msg: %d", a_im.command ECN_DBG_END;
+		ECN_DBG_PUT("recv: unefined internal-msg: %d", a_im.command);
 		break;
 	}
@@ -578,5 +578,5 @@
 	const EOBJINIB *eobj;
 
-	ECN_DBG_PUT "do _ecn_tsk_ntf_inl()" ECN_DBG_END;
+	ECN_DBG_PUT("do _ecn_tsk_ntf_inl()");
 
 	memset(&a_hdr, 0, sizeof(a_hdr));
@@ -830,6 +830,6 @@
 		g_release_esv = false;
 
-		ECN_CAP_PUT "redirect ecn_svc_mailboxid → ecn_api_mailboxid (esv:0x%02X)",
-			p_esv->edata.esv ECN_CAP_END;
+		ECN_CAP_PUT("redirect ecn_svc_mailboxid → ecn_api_mailboxid (esv:0x%02X)",
+			p_esv->edata.esv);
 		fa_fbs_id.ptr->hdr.target = ENOD_API_ID;
 		a_ret = psnd_dtq(ecn_api_mailboxid, (intptr_t)fa_fbs_id.ptr);
@@ -858,6 +858,6 @@
 	case ESV_SET_I:
 		if (!p_obj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3);
 			result = -1;
 			break;
@@ -870,6 +870,6 @@
 	case ESV_SET_C:
 		if (!p_obj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3);
 			result = -1;
 			break;
@@ -882,6 +882,6 @@
 	case ESV_GET:
 		if (!p_obj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3);
 			result = -1;
 			break;
@@ -894,6 +894,6 @@
 	case ESV_INF_REQ:
 		if (!p_obj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3);
 			result = -1;
 			break;
@@ -907,6 +907,6 @@
 	case ESV_SET_GET:
 		if (!p_obj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.deoj.eojx1 << 16 | p_esv->edata.deoj.eojx2 << 8 | p_esv->edata.deoj.eojx3);
 			result = -1;
 			break;
@@ -942,6 +942,6 @@
 	case ESV_GET_SNA:		/* 0x52 プロパティ値読み出し不可応答 */
 		if (!p_sobj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.seoj.eojx1 << 16 | p_esv->edata.seoj.eojx2 << 8 | p_esv->edata.seoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.seoj.eojx1 << 16 | p_esv->edata.seoj.eojx2 << 8 | p_esv->edata.seoj.eojx3);
 			result = -1;
 			break;
@@ -955,6 +955,6 @@
 	case ESV_INF_SNA:		/* 0x53 プロパティ値通知不可応答 */
 		if (!p_sobj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.seoj.eojx1 << 16 | p_esv->edata.seoj.eojx2 << 8 | p_esv->edata.seoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.seoj.eojx1 << 16 | p_esv->edata.seoj.eojx2 << 8 | p_esv->edata.seoj.eojx3);
 			result = -1;
 			break;
@@ -968,6 +968,6 @@
 	case ESV_SET_GET_SNA:	/* 0x5E プロパティ値書き込み・読み出し不可応答 */
 		if (!p_sobj) {
-			ECN_DBG_PUT "_ecn_tsk_ecn_msg_main() eoj %06X not found.",
-				p_esv->edata.seoj.eojx1 << 16 | p_esv->edata.seoj.eojx2 << 8 | p_esv->edata.seoj.eojx3 ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_ecn_msg_main() eoj %06X not found.",
+				p_esv->edata.seoj.eojx1 << 16 | p_esv->edata.seoj.eojx2 << 8 | p_esv->edata.seoj.eojx3);
 			result = -1;
 			break;
@@ -1004,8 +1004,8 @@
 	ECN_FBS_ID fa_fbs_id)
 {
-	ECN_DBG_PUT "%s() %s eoj src:%06X dest:%06X",
+	ECN_DBG_PUT("%s() %s eoj src:%06X dest:%06X",
 		fp_fncnm, fp_varnm,
 		((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.seoj.eojx1 << 16 | ((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.seoj.eojx2 << 8 | ((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.seoj.eojx3,
-		((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.deoj.eojx1 << 16 | ((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.deoj.eojx2 << 8 | ((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.deoj.eojx3 ECN_DBG_END;
+		((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.deoj.eojx1 << 16 | ((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.deoj.eojx2 << 8 | ((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.deoj.eojx3);
 }
 #else
@@ -1029,7 +1029,7 @@
 		return p;
 	}
-	ECN_DBG_PUT "_ecn_tsk_eoj_get_property(0x%02X-0x%02X-0x%02X, epc:0x%02X) not found.",
+	ECN_DBG_PUT("_ecn_tsk_eoj_get_property(0x%02X-0x%02X-0x%02X, epc:0x%02X) not found.",
 		fp_obj->eojx1, fp_obj->eojx2, fp_obj->eojx3,
-		fa_epc ECN_DBG_END;
+		fa_epc);
 
 	return NULL;
@@ -1044,6 +1044,6 @@
 		return -1;
 
-	ECN_DBG_PUT "_ecn_tsk_eoj_set_edt(epc:0x%02X) call eprpset()",
-		fp_prp->eprpcd ECN_DBG_END;
+	ECN_DBG_PUT("_ecn_tsk_eoj_set_edt(epc:0x%02X) call eprpset()",
+		fp_prp->eprpcd);
 
 	return fp_prp->eprpset(fp_prp, fp_src, fa_srcsz, fa_anno);
@@ -1058,6 +1058,6 @@
 		return -1;
 
-	ECN_DBG_PUT "_ecn_tsk_eoj_get_edt(epc:0x%02X) call eprpget()",
-		fp_prp->eprpcd ECN_DBG_END;
+	ECN_DBG_PUT("_ecn_tsk_eoj_get_edt(epc:0x%02X) call eprpget()",
+		fp_prp->eprpcd);
 
 	return fp_prp->eprpget(fp_prp, fp_dst, fp_prp->eprpsz);
@@ -1090,5 +1090,5 @@
 		p_blk = (T_ECN_SUB_BLK *)_ecn_fbs_mbx_get(sizeof(*p_blk));
 		if (!p_blk) {
-			ECN_DBG_PUT "_ecn_fbs_mbx_get() fault." ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_mbx_get() fault.");
 			return 0;	/* メモリ不足 */
 		}
@@ -1100,5 +1100,5 @@
 	a_ret = _ecn_fbs_get_data(fa_fbs_id, fp_prp, sizeof(*fp_prp), &a_size);
 	if (a_ret || a_size < (int)sizeof(*fp_prp)) {
-		ECN_DBG_PUT "_ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1109,5 +1109,5 @@
 		a_ret = _ecn_fbs_get_data(fa_fbs_id, p_blk, fp_prp->pdc, &a_size);
 		if (a_ret || a_size < (int)fp_prp->pdc) {
-			ECN_DBG_PUT "_ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
@@ -1146,5 +1146,5 @@
 		p_edt = _ecn_tsk_get_prp_pce(fa_fbs_id, &a_prp, p_edt);
 		if (!p_edt) {
-			ECN_DBG_PUT "_ecn_tsk_eoj_set_main(): _ecn_tsk_get_prp_pce() fault." ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_eoj_set_main(): _ecn_tsk_get_prp_pce() fault.");
 			goto lb_except;
 		}
@@ -1166,12 +1166,12 @@
 		}
 		if (a_ans == a_size) {
-			ECN_DBG_PUT "_ecn_tsk_eoj_set_edt(0x%06X, 0x%02x, 0x%02X..., %u) ok.",
+			ECN_DBG_PUT("_ecn_tsk_eoj_set_edt(0x%06X, 0x%02x, 0x%02X..., %u) ok.",
 				fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3,
-				a_prp.epc, p_edt->payload[0], a_size ECN_DBG_END;
+				a_prp.epc, p_edt->payload[0], a_size);
 			a_prp.pdc = 0;
 		} else {
-			ECN_DBG_PUT "_ecn_tsk_eoj_set_edt(0x%06X, 0x%02x, 0x%02X..., %u) fault.",
+			ECN_DBG_PUT("_ecn_tsk_eoj_set_edt(0x%06X, 0x%02x, 0x%02X..., %u) fault.",
 				fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3,
-				a_prp.epc, p_edt->payload[0], a_size ECN_DBG_END;
+				a_prp.epc, p_edt->payload[0], a_size);
 			*p_sw_ok = 0;	/* プロパティ設定失敗 */
 			/* 応答処理の場合EDTは設定しない */
@@ -1183,5 +1183,5 @@
 		a_ret = _ecn_fbs_add_data_ex(a_fbs_res, &a_prp, sizeof(a_prp));
 		if (a_ret) {
-			ECN_DBG_PUT "_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
@@ -1191,5 +1191,5 @@
 			a_ret = _ecn_fbs_add_data_ex(a_fbs_res, p_edt->payload, a_prp.pdc);
 			if (a_ret) {
-				ECN_DBG_PUT "_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+				ECN_DBG_PUT("_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 				goto lb_except;
 			}
@@ -1240,5 +1240,5 @@
 	p_prp_buf = _ecn_fbs_mbx_get(ECHONET_MEMPOOL_BLOCK_SIZE);
 	if (!p_prp_buf) {
-		ECN_DBG_PUT "_ecn_fbs_mbx_get() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_mbx_get() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;	/* メモリ不足 */
 	}
@@ -1248,5 +1248,5 @@
 		p_edt = _ecn_tsk_get_prp_pce(fa_fbs_id, &a_prp, p_edt);
 		if (!p_edt) {
-			ECN_DBG_PUT "_ecn_tsk_eoj_get_main(): _ecn_tsk_get_prp_pce() fault." ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_eoj_get_main(): _ecn_tsk_get_prp_pce() fault.");
 			goto lb_except;
 		}
@@ -1273,5 +1273,5 @@
 		a_ret = _ecn_fbs_add_data_ex(a_fbs_res, &a_prp, sizeof(a_prp));
 		if (a_ret) {
-			ECN_DBG_PUT "_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
@@ -1280,5 +1280,5 @@
 			a_ret = _ecn_fbs_add_data_ex(a_fbs_res, p_prp_buf, a_ans);
 			if (a_ret) {
-				ECN_DBG_PUT "_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+				ECN_DBG_PUT("_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 				goto lb_except;
 			}
@@ -1319,5 +1319,5 @@
 	p_prp_buf = _ecn_fbs_mbx_get(ECHONET_MEMPOOL_BLOCK_SIZE);
 	if (!p_prp_buf) {
-		ECN_DBG_PUT "_ecn_fbs_mbx_get() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_mbx_get() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;	/* メモリ不足 */
 	}
@@ -1327,5 +1327,5 @@
 		p_edt = _ecn_tsk_get_prp_pce(fa_fbs_id, &a_prp, p_edt);
 		if (!p_edt) {
-			ECN_DBG_PUT "_ecn_tsk_eoj_get_main(): _ecn_tsk_get_prp_pce() fault." ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_tsk_eoj_get_main(): _ecn_tsk_get_prp_pce() fault.");
 			goto lb_except;
 		}
@@ -1336,5 +1336,5 @@
 		a_ret = _ecn_fbs_add_data_ex(a_fbs_res, &a_prp, sizeof(a_prp));
 		if (a_ret) {
-			ECN_DBG_PUT "_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
@@ -1374,5 +1374,5 @@
 		a_ret = _ecn_fbs_get_data(fa_fbs_id, &a_prp, sizeof(a_prp), &a_size);
 		if (a_ret || a_size < (int)sizeof(a_prp)) {
-			ECN_DBG_PUT "_ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
@@ -1381,5 +1381,5 @@
 		a_ret = _ecn_fbs_seek_rpos(fa_fbs_id, a_prp.pdc);
 		if (a_ret) {
-			ECN_DBG_PUT "_ecn_fbs_seek_rpos() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_fbs_seek_rpos() result = %d:%s", a_ret, itron_strerror(a_ret));
 			goto lb_except;
 		}
@@ -1543,5 +1543,5 @@
 	a_ret = _ecn_fbs_cre(a_size, &a_fbs_res);
 	if (a_ret != E_OK || !a_fbs_res.ptr) { /* 確保失敗 */
-		ECN_DBG_PUT "_ecn_fbs_cre() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_cre() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_finally;
 	}
@@ -1559,5 +1559,5 @@
 			sizeof(a_ecn_hdp.ecn_hdr) + sizeof(a_ecn_hdp.edata));
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1566,5 +1566,5 @@
 	a_ret = _ecn_fbs_set_rpos(fa_fbs_id, offsetof(T_ECN_EDT_HDR, ecn_prp));
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_fbs_set_rpos() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_set_rpos() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1577,5 +1577,5 @@
 		((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.opc, &a_sw_ok);
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_tsk_eoj_get_main() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_eoj_get_main() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1601,5 +1601,5 @@
 	a_ret = _ecn_tsk_snd_mbx(a_fbs_res, false);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "_ecn_tsk_snd_mbx() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_snd_mbx() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1634,5 +1634,5 @@
 	a_ret = _ecn_fbs_cre(a_size, &a_fbs_res);
 	if (a_ret != E_OK || !a_fbs_res.ptr) { /* 確保失敗 */
-		ECN_DBG_PUT "_ecn_fbs_cre() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_cre() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_finally;
 	}
@@ -1647,5 +1647,5 @@
 			sizeof(a_ecn_hdp.ecn_hdr) + sizeof(a_ecn_hdp.edata));
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1654,5 +1654,5 @@
 	a_ret = _ecn_fbs_set_rpos(fa_fbs_id, offsetof(T_ECN_EDT_HDR, ecn_prp));
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_fbs_set_rpos() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_fbs_set_rpos() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1665,5 +1665,5 @@
 		((T_EDATA *)fa_fbs_id.ptr)->hdr.edata.opc, &a_sw_ok);
 	if (a_ret) {
-		ECN_DBG_PUT "_ecn_tsk_eoj_res_main() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_eoj_res_main() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1689,5 +1689,5 @@
 	a_ret = _ecn_tsk_snd_mbx(a_fbs_res, false);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "_ecn_tsk_snd_mbx() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_snd_mbx() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -1718,6 +1718,6 @@
 	memset(&a_ecn_hdp, 0, sizeof(a_ecn_hdp));
 
-	ECN_DBG_PUT "_ecn_tsk_eoj_set_get() eoj:%06X",
-		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3 ECN_DBG_END;
+	ECN_DBG_PUT("_ecn_tsk_eoj_set_get() eoj:%06X",
+		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3);
 
 	/* 初期取得サイズ */
@@ -1761,7 +1761,7 @@
 		goto lb_except;
 	}
-	ECN_DBG_PUT "_ecn_tsk_eoj_set_get() eoj:%06X _ecn_tsk_eoj_set_main() ok sw_ok:%s",
+	ECN_DBG_PUT("_ecn_tsk_eoj_set_get() eoj:%06X _ecn_tsk_eoj_set_main() ok sw_ok:%s",
 		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3,
-		(a_sw_ok ? "true" : "false") ECN_DBG_END;
+		(a_sw_ok ? "true" : "false"));
 
 	/* 次の件数を読み取る(1byte)						*/
@@ -1794,7 +1794,7 @@
 		goto lb_except;
 	}
-	ECN_DBG_PUT "_ecn_tsk_eoj_set_get() eoj:%06X _ecn_tsk_eoj_get_main() ok sw_ok:%s",
+	ECN_DBG_PUT("_ecn_tsk_eoj_set_get() eoj:%06X _ecn_tsk_eoj_get_main() ok sw_ok:%s",
 		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3,
-		(a_sw_ok ? "true" : "false") ECN_DBG_END;
+		(a_sw_ok ? "true" : "false"));
 
 	/* プロパティ読み込み件数書き込み時のヘッド情報で、読み出し件数を記録 */
@@ -1839,6 +1839,6 @@
 	memset(&a_ecn_hdp, 0, sizeof(a_ecn_hdp));
 
-	ECN_DBG_PUT "_ecn_tsk_eoj_set_get_res() eoj:%06X",
-		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3 ECN_DBG_END;
+	ECN_DBG_PUT("_ecn_tsk_eoj_set_get_res() eoj:%06X",
+		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3);
 
 	/* 初期取得サイズ */
@@ -1867,7 +1867,7 @@
 		goto lb_except;
 	}
-	ECN_DBG_PUT "_ecn_tsk_eoj_set_get_res() eoj:%06X _ecn_tsk_eoj_set_main() ok sw_ok:%s",
+	ECN_DBG_PUT("_ecn_tsk_eoj_set_get_res() eoj:%06X _ecn_tsk_eoj_set_main() ok sw_ok:%s",
 		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3,
-		(a_sw_ok ? "true" : "false") ECN_DBG_END;
+		(a_sw_ok ? "true" : "false"));
 
 	/* 次の件数を読み取る(1byte)						*/
@@ -1888,7 +1888,7 @@
 		goto lb_except;
 	}
-	ECN_DBG_PUT "_ecn_tsk_eoj_set_get_res() eoj:%06X _ecn_tsk_eoj_get_main() ok sw_ok:%s",
+	ECN_DBG_PUT("_ecn_tsk_eoj_set_get_res() eoj:%06X _ecn_tsk_eoj_get_main() ok sw_ok:%s",
 		fp_obj->eojx1 << 16 | fp_obj->eojx2 << 8 | fp_obj->eojx3,
-		(a_sw_ok ? "true" : "false") ECN_DBG_END;
+		(a_sw_ok ? "true" : "false"));
 
 	goto lb_finally;
@@ -1964,5 +1964,5 @@
 	ret = _ecn_fbs_cre(1, &req);
 	if (ret != E_OK) {
-		ECN_DBG_PUT "_ecn_tsk_cre_req_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_cre_req_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
@@ -1971,5 +1971,5 @@
 	if (ret != E_OK) {
 		_ecn_fbs_del(req);
-		ECN_DBG_PUT "_ecn_tsk_cre_req_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_cre_req_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
@@ -1993,5 +1993,5 @@
 	ret = _ecn_fbs_cre(1, &res);
 	if (ret != E_OK) {
-		ECN_DBG_PUT "_ecn_tsk_cre_res_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_cre_res_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
@@ -2000,5 +2000,5 @@
 	if (ret != E_OK) {
 		_ecn_fbs_del(res);
-		ECN_DBG_PUT "_ecn_tsk_cre_res_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_tsk_cre_res_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
Index: uKadecot/trunk/ecnl_ssp/echonet_uip_task.c
===================================================================
--- uKadecot/trunk/ecnl_ssp/echonet_uip_task.c	(revision 125)
+++ uKadecot/trunk/ecnl_ssp/echonet_uip_task.c	(revision 152)
@@ -108,5 +108,5 @@
 	if (	a_rcv_pkt.t_esv->ecn_hdr.ehd1 != ECN_EDH1_ECHONET_LITE	/* ECHONET Lite規格	*/
 	||	a_rcv_pkt.t_esv->ecn_hdr.ehd2 != ECN_EDH2_FORMAT_1			/* 電文形式1		*/) {
-		ECN_DBG_PUT "[UDP ECHO SRV] illegal type (0x%02X,0x%02X)", a_rcv_pkt.t_esv->ecn_hdr.ehd1, a_rcv_pkt.t_esv->ecn_hdr.ehd2 ECN_DBG_END;
+		ECN_DBG_PUT("[UDP ECHO SRV] illegal type (0x%02X,0x%02X)", a_rcv_pkt.t_esv->ecn_hdr.ehd1, a_rcv_pkt.t_esv->ecn_hdr.ehd2);
 		return E_PAR;
 	}
@@ -118,10 +118,10 @@
 	a_ret = _ecn_fbs_cre(fa_len, &a_fbs_id);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "[UDP ECHO SRV] _ecn_fbs_cre() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("[UDP ECHO SRV] _ecn_fbs_cre() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return a_ret;
 	}
 	a_ret = _ecn_fbs_add_data_ex(a_fbs_id, buffer, fa_len);
 	if (a_ret) {
-		ECN_DBG_PUT "[UDP ECHO SRV] _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("[UDP ECHO SRV] _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -133,6 +133,6 @@
 	a_enod_id = udp_get_id((T_EDATA *)a_fbs_id.ptr, dst->ipaddr, dst->portno);
 	if (a_enod_id < 0 || tnum_enodadr <= a_enod_id) {
-		ECN_DBG_PUT "[UDP ECHO SRV] udp src(%s) echonet-node not found.",
-			ip2str(NULL, dst->ipaddr) ECN_DBG_END;
+		ECN_DBG_PUT("[UDP ECHO SRV] udp src(%s) echonet-node not found.",
+			ip2str(NULL, dst->ipaddr));
 	} else {
 		/* 送信元ECHONETノードを記録 */
@@ -144,5 +144,5 @@
 	a_ret = psnd_dtq(ecn_svc_mailboxid, (intptr_t)a_fbs_id.ptr);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "[UDP ECHO SRV] psnd_dtq(ecn_svc_mailboxid) result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("[UDP ECHO SRV] psnd_dtq(ecn_svc_mailboxid) result = %d:%s", a_ret, itron_strerror(a_ret));
 		goto lb_except;
 	}
@@ -185,13 +185,13 @@
 
 	uip_gethostaddr(a_src);
-	ECN_DBG_PUT "[UDP TSK:%d] started, IP Address: %s ether_max_len: %u",
+	ECN_DBG_PUT("[UDP TSK:%d] started, IP Address: %s ether_max_len: %u",
 		ecn_udp_taskid,
 		ip2str(NULL, a_src),
-		UIP_BUFSIZE ECN_DBG_END;
+		UIP_BUFSIZE);
 	uip_ipaddr_copy(enodadrb_table[ENOD_LOCAL_ID].ipaddr, a_src);
 
 	UDP_CEPID = udp_acre_cep(&ccep);
 	if (UDP_CEPID == NULL) {
-		ECN_DBG_PUT "udp_acre_cep()" ECN_DBG_END;
+		ECN_DBG_PUT("udp_acre_cep()");
 		PT_EXIT(&pt);
 	}
@@ -200,5 +200,5 @@
 	a_ret = sta_cyc(ecn_udp_cychdrid);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "sta_cyc() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("sta_cyc() result = %d:%s", a_ret, itron_strerror(a_ret));
 		PT_EXIT(&pt);
 	}
@@ -206,5 +206,5 @@
 	a_ret = act_tsk(ecn_svc_taskid);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "act_tsk() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("act_tsk() result = %d:%s", a_ret, itron_strerror(a_ret));
 		PT_EXIT(&pt);
 	}
@@ -212,5 +212,5 @@
 	a_ret = get_tim(&a_now);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "get_tim() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("get_tim() result = %d:%s", a_ret, itron_strerror(a_ret));
 		PT_EXIT(&pt);
 	}
@@ -226,5 +226,5 @@
 			|| ((a_ret = timer_expired(&timer) ? E_TMOUT : E_WBLK) == E_TMOUT)));
 		if ((a_ret != E_OK) && (a_ret != E_TMOUT)) {
-			ECN_DBG_PUT "trcv_dtq() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("trcv_dtq() result = %d:%s", a_ret, itron_strerror(a_ret));
 			PT_EXIT(&pt);
 		}
@@ -232,5 +232,5 @@
 		a_ret2 = get_tim(&a_now);
 		if (a_ret2 != E_OK) {
-			ECN_DBG_PUT "get_tim() result = %d:%s", a_ret2, itron_strerror(a_ret2) ECN_DBG_END;
+			ECN_DBG_PUT("get_tim() result = %d:%s", a_ret2, itron_strerror(a_ret2));
 			PT_EXIT(&pt);
 		}
@@ -243,5 +243,5 @@
 			a_snd_len = _ecn_fbs_get_datalen(a_mdt.fbs_id);
 
-			ECN_DBG_PUT "[UDP TSK] trcv_dtq() mbx recv (%d byte)", a_snd_len ECN_DBG_END;
+			ECN_DBG_PUT("[UDP TSK] trcv_dtq() mbx recv (%d byte)", a_snd_len);
 
 			if (0 < a_snd_len) {
@@ -289,5 +289,5 @@
 	ret = _ecn_fbs_cre(1, &req);
 	if (ret != E_OK) {
-		ECN_DBG_PUT "_ecn_udp_cre_req_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_udp_cre_req_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
@@ -296,5 +296,5 @@
 	if (ret != E_OK) {
 		_ecn_fbs_del(req);
-		ECN_DBG_PUT "_ecn_udp_cre_req_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_udp_cre_req_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
@@ -318,5 +318,5 @@
 	ret = _ecn_fbs_cre(1, &res);
 	if (ret != E_OK) {
-		ECN_DBG_PUT "_ecn_udp_cre_res_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_udp_cre_res_fbs() : _ecn_fbs_cre() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
@@ -325,5 +325,5 @@
 	if (ret != E_OK) {
 		_ecn_fbs_del(res);
-		ECN_DBG_PUT "_ecn_udp_cre_res_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_udp_cre_res_fbs() : _ecn_fbs_add_data() result = %d:%s", ret, itron_strerror(ret));
 		return ret;
 	}
@@ -353,5 +353,5 @@
 	a_ret = _ecn_fbs_get_data(fbs_id, &cmd, 1, &len);
 	if (a_ret != E_OK) {
-		ECN_DBG_PUT "[UDP TSK] _ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("[UDP TSK] _ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return;
 	}
@@ -368,5 +368,5 @@
 		a_ret = _ecn_fbs_get_data(fbs_id, &msg, sizeof(msg), &a_snd_len);
 		if (a_ret != E_OK) {
-			ECN_DBG_PUT "[UDP TSK] _ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("[UDP TSK] _ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret));
 		}
 
@@ -384,5 +384,5 @@
 		if (a_ret != E_OK) {
 			_ecn_fbs_del(buf);
-			ECN_DBG_PUT "_ecn_int_msg() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_int_msg() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 			return;
 		}
@@ -391,5 +391,5 @@
 		if (a_ret != E_OK) {
 			_ecn_fbs_del(buf);
-			ECN_DBG_PUT "_ecn_int_msg() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_int_msg() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 			return;
 		}
@@ -398,5 +398,5 @@
 		if (a_ret != E_OK) {
 			_ecn_fbs_del(buf);
-			ECN_DBG_PUT "_ecn_int_msg() : psnd_dtq() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("_ecn_int_msg() : psnd_dtq() result = %d:%s", a_ret, itron_strerror(a_ret));
 			return;
 		}
@@ -414,5 +414,5 @@
 	if (a_ret != E_OK) {
 		_ecn_fbs_del(buf);
-		ECN_DBG_PUT "_ecn_int_msg() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_int_msg() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return;
 	}
@@ -421,5 +421,5 @@
 	if (a_ret != E_OK) {
 		_ecn_fbs_del(buf);
-		ECN_DBG_PUT "_ecn_int_msg() : psnd_dtq() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("_ecn_int_msg() : psnd_dtq() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return;
 	}
@@ -443,9 +443,9 @@
 	a_ret = udp_get_ip(&a_dst, fbs_id.ptr->hdr.target);
 	if (!a_ret) {
-		ECN_DBG_PUT "[UDP TSK] echonet-node 0x%02X-0x%02X-0x%02X → udp dest(%s)",
+		ECN_DBG_PUT("[UDP TSK] echonet-node 0x%02X-0x%02X-0x%02X → udp dest(%s)",
 			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx1,
 			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx2,
 			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx3,
-			ip2str(NULL, a_dst.ipaddr) ECN_DBG_END;
+			ip2str(NULL, a_dst.ipaddr));
 
 		/* fbsから出力領域にデータを抽出 */
@@ -453,10 +453,10 @@
 		a_ret = _ecn_fbs_get_data(fbs_id, buffer, sizeof(buffer), &a_snd_len);
 		if (a_ret != E_OK) {
-			ECN_DBG_PUT "[UDP TSK] _ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+			ECN_DBG_PUT("[UDP TSK] _ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret));
 		}
 		else if(uip_ipaddr_cmp(a_dst.ipaddr, localhost)) {
 			/* 送信先が127.0.0.1 → mbxに転送 */
-			ECN_DBG_PUT "redirect ecn_udp_mailboxid → ecn_svc_mailboxid (esv:0x%02X)",
-				((T_EDATA *)fbs_id.ptr)->hdr.edata.esv ECN_DBG_END;
+			ECN_DBG_PUT("redirect ecn_udp_mailboxid → ecn_svc_mailboxid (esv:0x%02X)",
+				((T_EDATA *)fbs_id.ptr)->hdr.edata.esv);
 
 			a_ret = _ecn_udp2mbx((const uint8_t *)buffer, a_snd_len, &a_dst);
@@ -466,6 +466,6 @@
 		}
 		else {
-			ECN_DBG_PUT "[UDP TSK] udp_snd_dat() to:%s %ubyte(s)",
-				ip2str(NULL, a_dst.ipaddr), a_snd_len ECN_DBG_END;
+			ECN_DBG_PUT("[UDP TSK] udp_snd_dat() to:%s %ubyte(s)",
+				ip2str(NULL, a_dst.ipaddr), a_snd_len);
 #ifdef ECN_DBG_PUT_ENA
 			_ecn_dbg_bindmp((const uint8_t *)buffer, a_snd_len);
@@ -474,5 +474,5 @@
 			a_ret = udp_snd_dat(UDP_CEPID, &a_dst, buffer, a_snd_len);
 			if (a_ret < 0) {
-				ECN_DBG_PUT "[UDP TSK] send, error: %s", itron_strerror(a_ret) ECN_DBG_END;
+				ECN_DBG_PUT("[UDP TSK] send, error: %s", itron_strerror(a_ret));
 			}
 		}
@@ -480,11 +480,11 @@
 		/* データが長すぎて1パケットに収まらなかった場合 */
 		if (_ecn_fbs_exist_data(fbs_id)) {
-			ECN_DBG_PUT "[UDP TSK] send, data so long: %dbyte(s)", _ecn_fbs_get_datalen(fbs_id) ECN_DBG_END;
+			ECN_DBG_PUT("[UDP TSK] send, data so long: %dbyte(s)", _ecn_fbs_get_datalen(fbs_id));
 		}
 	} else {
-		ECN_DBG_PUT "[UDP TSK] echonet-node 0x%02X-0x%02X-0x%02X not found.",
+		ECN_DBG_PUT("[UDP TSK] echonet-node 0x%02X-0x%02X-0x%02X not found.",
 			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx1,
 			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx2,
-			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx3 ECN_DBG_END;
+			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx3);
 	}
 }
@@ -505,5 +505,5 @@
 	PT_BEGIN(&s.pt);
 
-	/* ECN_CAP_PUT "[UDP ECHO SRV] callback_nblk_udp() recv: %u", *(int *)p_parblk ECN_CAP_END; */
+	/* ECN_CAP_PUT("[UDP ECHO SRV] callback_nblk_udp() recv: %u", *(int *)p_parblk); */
 	memset(buffer, 0, sizeof(buffer));
 
@@ -519,6 +519,6 @@
 	}
 #endif
-	ECN_CAP_PUT "[UDP ECHO SRV] recv, addr: %s:%d, len: %d, msg: '%s'",
-			ip2str(NULL, dst.ipaddr), dst.portno, a_len, buffer ECN_CAP_END;
+	ECN_CAP_PUT("[UDP ECHO SRV] recv, addr: %s:%d, len: %d, msg: '%s'",
+			ip2str(NULL, dst.ipaddr), dst.portno, a_len, buffer);
 	if ((int)sizeof(buffer) <= a_len)
 		a_len = (int)sizeof(buffer) - 1;
@@ -583,5 +583,5 @@
 			break;
 		}
-		ECN_DBG_PUT "is_match(): ecn_itr_nxt() result: epc=0x%02X, pdc=%d", epc, pdc ECN_DBG_END;
+		ECN_DBG_PUT("is_match(): ecn_itr_nxt() result: epc=0x%02X, pdc=%d", epc, pdc);
 		/* インスタンスリスト通知または自ノードインスタンスリストＳ以外は除外 */
 		if ((epc != 0xD5) && (epc != 0xD6)) {
@@ -641,6 +641,6 @@
 			continue;
 
-		ECN_CAP_PUT "udp_get_id(): ip-found remote(%d) = %s",
-			i - ENOD_REMOTE_ID, ip2str(NULL, ipaddr) ECN_CAP_END;
+		ECN_CAP_PUT("udp_get_id(): ip-found remote(%d) = %s",
+			i - ENOD_REMOTE_ID, ip2str(NULL, ipaddr));
 		return (ECN_ENOD_ID)i;
 	}
@@ -660,6 +660,6 @@
 		uip_ipaddr_copy(ea->ipaddr, ipaddr);
 
-		ECN_CAP_PUT "udp_get_id(): enod-found remote(%d) = %s",
-			i - ENOD_REMOTE_ID, ip2str(NULL, ipaddr) ECN_CAP_END;
+		ECN_CAP_PUT("udp_get_id(): enod-found remote(%d) = %s",
+			i - ENOD_REMOTE_ID, ip2str(NULL, ipaddr));
 		return (ECN_ENOD_ID)i;
 	}
@@ -673,6 +673,6 @@
 		uip_ipaddr_copy(ea->ipaddr, ipaddr);
 
-		ECN_CAP_PUT "udp_get_id(): empty-found remote(%d) = %s",
-			i - ENOD_REMOTE_ID, ip2str(NULL, ipaddr) ECN_CAP_END;
+		ECN_CAP_PUT("udp_get_id(): empty-found remote(%d) = %s",
+			i - ENOD_REMOTE_ID, ip2str(NULL, ipaddr));
 		return (ECN_ENOD_ID)i;
 	}
@@ -732,5 +732,5 @@
 	if (a_ret != E_OK) {
 		_ecn_fbs_del(req);
-		ECN_DBG_PUT "ecn_udp_get_ipaddr() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("ecn_udp_get_ipaddr() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return a_ret;
 	}
@@ -739,5 +739,5 @@
 	if (a_ret != E_OK) {
 		_ecn_fbs_del(req);
-		ECN_DBG_PUT "ecn_udp_get_ipaddr() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("ecn_udp_get_ipaddr() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return a_ret;
 	}
@@ -746,5 +746,5 @@
 	if (a_ret != E_OK) {
 		_ecn_fbs_del(req);
-		ECN_DBG_PUT "ecn_udp_get_ipaddr() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret) ECN_DBG_END;
+		ECN_DBG_PUT("ecn_udp_get_ipaddr() : _ecn_fbs_add_data_ex() result = %d:%s", a_ret, itron_strerror(a_ret));
 		return a_ret;
 	}
